Subject: Re: therm_pm72 units, interface

From: Michel Dänzer <[email-masked]>
Date: Fri, 02 Aug 2013 18:52:26 +0200

On Fre, 2013-08-02 at 18:58 +0300, Aaro Koskinen wrote:
> On Fri, Aug 02, 2013 at 04:47:51PM +0200, Michel Dänzer wrote:
> > On Fre, 2013-08-02 at 22:51 +1000, Benjamin Herrenschmidt wrote:
> > > On Fri, 2013-08-02 at 12:03 +0200, Michel Dänzer wrote:
> > > > Could a similar change fix the same problem on desktop G5s? The same
> > > > values for slots_param in windfarm_pm112.c don't help, unfortunately.
> > > 
> > > You have a 11,2 and a noisy fan ? Odd, mine(s) don't.... I can dbl check
> > > the values vs. what Darwin uses tomorrow...
> > 
> > Yes, see /proc/cpuinfo below.
> > 
> > With older kernels (currently still using Debian's 3.2.0-4-powerpc64
> > because of this problem), the fans go basically silent as soon as the
> > windfarm modules are loaded. With current kernels, the fans stay at the
> > level OF sets them to, until after a while they go into 'airplane mode'.
> > 
> > One thing I notice now is that the lines like
> > 
> > [    9.539173] windfarm: CPUs control loops started.
> > [   16.209962] windfarm: Backside control loop started.
> > [   16.262274] windfarm: Slots control loop started.
> > [   16.371642] windfarm: Drive bay control loop started.
> > 
> > no longer appear in dmesg with current kernels. Should they?
> 
> Yes. They are printed once all the sensor and control modules are
> loaded and registered. If the loops are not started, it's basically
> doing nothing. Maybe something goes wrong in module loading? What lsmod
> is showing?

Thanks for the suggestion. The same windfarm modules were loaded in both
cases, but i2c_powermac wasn't loaded with the newer kernels. Loading it
manually fixes the problem.

How is i2c_powermac supposed to get loaded with current kernels?

-- 
Earthling Michel Dänzer           |                   http://www.amd.com
Libre software enthusiast         |          Debian, X and DRI developer